Frequently Asked Questions

Can you recommend a web hosting provider for Kanboard?

Kanboard works well with any great VPS hosting provider such as Digital Ocean, Linode or Gandi.

To have the best performances, choose a provider with fast disk I/O because Kanboard use Sqlite by default. Avoid hosting providers that use a shared NFS mount point.

I have the error "There is no suitable CSPRNG installed on your system"

If you use PHP < 7.0, you need to have the openssl extension enabled or /dev/urandom accessible from the application if restricted by an open_basedir restriction.

Page not found and the URL seems wrong (&amp;)

  • The URL looks like /?controller=auth&amp;action=login&amp;redirect_query= instead of ?controller=auth&action=login&redirect_query=
  • Kanboard returns a "Page not found" error

This issue comes from your PHP configuration, the value of arg_separator.output is not the PHP's default, there is different ways to fix that:

Change the value directly in your php.ini if you can:

arg_separator.output = "&"

Override the value with a .htaccess:

php_value arg_separator.output "&"

Otherwise Kanboard will try to override the value directly in PHP.

Authentication failure with the API and Apache + PHP-FPM

php-cgi under Apache does not pass HTTP Basic user/pass to PHP by default. For this workaround to work, add these lines to your .htaccess file:

RewriteCond %{HTTP:Authorization} ^(.+)$
RewriteRule .* - [E=HTTP_AUTHORIZATION:%{HTTP:Authorization}]

Known issues with eAccelerator

Kanboard doesn't work very well with eAccelerator. The issue caused can be a blank page or an Apache crash:

[Wed Mar 05 21:36:56 2014] [notice] child pid 22630 exit signal Segmentation fault (11)

The best way to avoid this issue is to disable eAccelerator or define manually which files you want to cache with the config parameter eaccelerator.filter.

The project eAccelerator seems dead and not updated since 2012. We recommend to switch to the last version of PHP because it's bundled with OPcache.

Why the minimum requirement is PHP 5.3.3?

Kanboard uses the function password_hash() to crypt passwords but it's available only for PHP >= 5.5.

However, there is a back-port for older versions of PHP. This library requires at least PHP 5.3.7 to work correctly.

Apparently, Centos and Debian back-ports security patches so PHP 5.3.3 should be ok.

Kanboard v1.0.10 and v1.0.11 requires at least PHP 5.3.7 but this change has been reverted to be compatible with PHP 5.3.3 with Kanboard >= v1.0.12

How to test Kanboard with the PHP built-in web server?

If you don't want to install a web server like Apache on localhost. You can test with the embedded web server of PHP:

unzip kanboard-VERSION.zip
cd kanboard
php -S localhost:8000
open http://localhost:8000/

How to install Kanboard on Yunohost?

YunoHost is a server operating system aiming to make self-hosting accessible to everyone.

There is a package to install Kanboard on Yunohost easily.

Where can I find a list of related projects?

Are there some tutorials about Kanboard in other languages?

Tips